#define BOOST_SIMD_NO_STRICT_ALIASING 1
#include <pythonic/core.hpp>
#include <pythonic/python/core.hpp>
#include <pythonic/types/bool.hpp>
#include <pythonic/types/int.hpp>
#ifdef _OPENMP
#include <omp.h>
#endif
#include <pythonic/include/types/numpy_texpr.hpp>
#include <pythonic/include/types/float64.hpp>
#include <pythonic/include/types/ndarray.hpp>
#include <pythonic/include/types/complex128.hpp>
#include <pythonic/types/float64.hpp>
#include <pythonic/types/complex128.hpp>
#include <pythonic/types/ndarray.hpp>
#include <pythonic/types/numpy_texpr.hpp>
#include <pythonic/include/__builtin__/tuple.hpp>
#include <pythonic/__builtin__/tuple.hpp>
namespace __pythran_util_plate2d_pythran
{
  struct monge_ampere_step1
  {
    typedef void callable;
    typedef void pure;
    template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 , typename argument_type5 >
    struct type
    {
      typedef typename std::remove_cv<typename std::remove_reference<argument_type0>::type>::type __type0;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type4>::type>::type __type1;
      typedef decltype((std::declval<__type0>() * std::declval<__type1>())) __type2;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type1>::type>::type __type3;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type3>::type>::type __type4;
      typedef decltype((std::declval<__type3>() * std::declval<__type4>())) __type5;
      typedef decltype((std::declval<__type2>() + std::declval<__type5>())) __type6;
      typedef long __type7;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type2>::type>::type __type8;
      typedef decltype((std::declval<__type7>() * std::declval<__type8>())) __type9;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type5>::type>::type __type10;
      typedef decltype((std::declval<__type9>() * std::declval<__type10>())) __type11;
      typedef typename pythonic::returnable<decltype((std::declval<__type6>() - std::declval<__type11>()))>::type result_type;
    }  
    ;
    template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 , typename argument_type5 >
    typename type<argument_type0, argument_type1, argument_type2, argument_type3, argument_type4, argument_type5>::result_type operator()(argument_type0 const & pxx_a, argument_type1 const & pyy_a, argument_type2 const & pxy_a, argument_type3 const & pxx_b, argument_type4 const & pyy_b, argument_type5 const & pxy_b) const
    ;
  }  ;
  struct monge_ampere_step0
  {
    typedef void callable;
    typedef void pure;
    template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 >
    struct type
    {
      typedef typename std::remove_cv<typename std::remove_reference<argument_type0>::type>::type __type0;
      typedef decltype((-std::declval<__type0>())) __type1;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type2>::type>::type __type2;
      typedef decltype((std::declval<__type1>() * std::declval<__type2>())) __type3;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type3>::type>::type __type5;
      typedef decltype((std::declval<__type1>() * std::declval<__type5>())) __type6;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type4>::type>::type __type8;
      typedef decltype((std::declval<__type1>() * std::declval<__type8>())) __type9;
      typedef typename std::remove_cv<typename std::remove_reference<argument_type1>::type>::type __type10;
      typedef decltype((-std::declval<__type10>())) __type11;
      typedef decltype((std::declval<__type11>() * std::declval<__type2>())) __type12;
      typedef decltype((std::declval<__type11>() * std::declval<__type5>())) __type14;
      typedef decltype((std::declval<__type11>() * std::declval<__type8>())) __type16;
      typedef typename pythonic::returnable<decltype(pythonic::types::make_tuple(std::declval<__type3>(), std::declval<__type6>(), std::declval<__type9>(), std::declval<__type12>(), std::declval<__type14>(), std::declval<__type16>()))>::type result_type;
    }  
    ;
    template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 >
    typename type<argument_type0, argument_type1, argument_type2, argument_type3, argument_type4>::result_type operator()(argument_type0 const & a_fft, argument_type1 const & b_fft, argument_type2 const & KX2, argument_type3 const & KY2, argument_type4 const & KXKZ) const
    ;
  }  ;
  template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 , typename argument_type5 >
  typename monge_ampere_step1::type<argument_type0, argument_type1, argument_type2, argument_type3, argument_type4, argument_type5>::result_type monge_ampere_step1::operator()(argument_type0 const & pxx_a, argument_type1 const & pyy_a, argument_type2 const & pxy_a, argument_type3 const & pxx_b, argument_type4 const & pyy_b, argument_type5 const & pxy_b) const
  {
    return (((pxx_a * pyy_b) + (pyy_a * pxx_b)) - ((2L * pxy_a) * pxy_b));
  }
  template <typename argument_type0 , typename argument_type1 , typename argument_type2 , typename argument_type3 , typename argument_type4 >
  typename monge_ampere_step0::type<argument_type0, argument_type1, argument_type2, argument_type3, argument_type4>::result_type monge_ampere_step0::operator()(argument_type0 const & a_fft, argument_type1 const & b_fft, argument_type2 const & KX2, argument_type3 const & KY2, argument_type4 const & KXKZ) const
  {
    ;
    ;
    ;
    ;
    ;
    ;
    return pythonic::types::make_tuple(((-a_fft) * KX2), ((-a_fft) * KY2), ((-a_fft) * KXKZ), ((-b_fft) * KX2), ((-b_fft) * KY2), ((-b_fft) * KXKZ));
  }
}
#include <pythonic/python/exception_handler.hpp>
#ifdef ENABLE_PYTHON_MODULE
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step00(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step01(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step02(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step03(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step04(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step05(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step06(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step07(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step08(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step09(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step010(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step011(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step012(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step013(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step014(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step015(pythonic::types::ndarray<std::complex<double>,2> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step016(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step017(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step018(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step019(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step020(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step021(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step022(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<std::complex<double>,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step023(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::ndarray<std::complex<double>,2> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step024(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step025(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step026(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step027(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::ndarray<double,2> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step028(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step029(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::ndarray<double,2> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step030(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::ndarray<double,2> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step0::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step031(pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> a_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>> b_fft, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KX2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KY2, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> KXKZ) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step0()(a_fft, b_fft, KX2, KY2, KXKZ);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step10(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step11(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step12(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step13(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step14(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step15(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step16(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step17(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step18(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step19(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step110(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step111(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step112(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step113(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step114(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step115(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step116(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step117(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step118(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step119(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step120(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step121(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step122(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step123(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step124(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step125(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step126(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step127(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step128(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step129(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step130(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step131(pythonic::types::ndarray<double,2> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step132(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step133(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step134(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step135(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step136(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step137(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step138(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step139(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step140(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step141(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step142(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step143(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step144(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step145(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step146(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step147(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::ndarray<double,2> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step148(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step149(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step150(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step151(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step152(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step153(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step154(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step155(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::ndarray<double,2> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step156(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step157(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step158(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step159(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::ndarray<double,2> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step160(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step161(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::ndarray<double,2> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::ndarray<double,2>>::result_type monge_ampere_step162(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::ndarray<double,2> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}
typename __pythran_util_plate2d_pythran::monge_ampere_step1::type<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>::result_type monge_ampere_step163(pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_a, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxx_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pyy_b, pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>> pxy_b) 
{
  
                            PyThreadState *_save = PyEval_SaveThread();
                            try {
                                auto res = __pythran_util_plate2d_pythran::monge_ampere_step1()(pxx_a, pyy_a, pxy_a, pxx_b, pyy_b, pxy_b);
                                PyEval_RestoreThread(_save);
                                return res;
                            }
                            catch(...) {
                                PyEval_RestoreThread(_save);
                                throw;
                            }
                            ;
}

static PyObject *
__pythran_wrap_monge_ampere_step00(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step00(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step01(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step01(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step02(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step02(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step03(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step03(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step04(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step04(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step05(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step05(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step06(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step06(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step07(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step07(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step08(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step08(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step09(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step09(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step010(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step010(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step011(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step011(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step012(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step012(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step013(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step013(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step014(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step014(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step015(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step015(from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step016(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step016(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step017(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step017(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step018(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step018(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step019(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step019(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step020(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step020(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step021(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step021(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step022(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step022(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step023(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step023(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<std::complex<double>,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step024(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step024(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step025(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step025(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step026(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step026(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step027(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step027(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step028(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step028(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step029(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step029(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step030(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]))
        return to_python(monge_ampere_step030(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step031(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[5+1];
    char const* keywords[] = {"a_fft","b_fft","KX2","KY2","KXKZ", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]))
        return to_python(monge_ampere_step031(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<std::complex<double>,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step10(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step10(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step11(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step11(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step12(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step12(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step13(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step13(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step14(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step14(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step15(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step15(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step16(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step16(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step17(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step17(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step18(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step18(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step19(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step19(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step110(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step110(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step111(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step111(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step112(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step112(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step113(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step113(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step114(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step114(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step115(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step115(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step116(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step116(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step117(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step117(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step118(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step118(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step119(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step119(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step120(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step120(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step121(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step121(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step122(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step122(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step123(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step123(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step124(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step124(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step125(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step125(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step126(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step126(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step127(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step127(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step128(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step128(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step129(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step129(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step130(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step130(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step131(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::ndarray<double,2>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step131(from_python<pythonic::types::ndarray<double,2>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step132(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step132(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step133(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step133(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step134(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step134(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step135(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step135(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step136(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step136(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step137(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step137(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step138(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step138(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step139(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step139(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step140(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step140(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step141(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step141(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step142(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step142(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step143(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step143(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step144(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step144(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step145(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step145(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step146(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step146(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step147(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step147(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::ndarray<double,2>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step148(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step148(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step149(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step149(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step150(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step150(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step151(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step151(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step152(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step152(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step153(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step153(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step154(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step154(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step155(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step155(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::ndarray<double,2>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step156(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step156(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step157(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step157(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step158(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step158(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step159(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step159(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::ndarray<double,2>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step160(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step160(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step161(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step161(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::ndarray<double,2>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step162(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::ndarray<double,2>>(args_obj[5]))
        return to_python(monge_ampere_step162(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::ndarray<double,2>>(args_obj[5])));
    else {
        return nullptr;
    }
}

static PyObject *
__pythran_wrap_monge_ampere_step163(PyObject *self, PyObject *args, PyObject *kw)
{
    PyObject* args_obj[6+1];
    char const* keywords[] = {"pxx_a","pyy_a","pxy_a","pxx_b","pyy_b","pxy_b", nullptr};
    if(! PyArg_ParseTupleAndKeywords(args, kw, "OOOOOO",
                                     (char**)keywords, &args_obj[0], &args_obj[1], &args_obj[2], &args_obj[3], &args_obj[4], &args_obj[5]))
        return nullptr;
    if(is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]) and is_convertible<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5]))
        return to_python(monge_ampere_step163(from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[0]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[1]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[2]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[3]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[4]), from_python<pythonic::types::numpy_texpr<pythonic::types::ndarray<double,2>>>(args_obj[5])));
    else {
        return nullptr;
    }
}

            static PyObject *
            __pythran_wrapall_monge_ampere_step0(PyObject *self, PyObject *args, PyObject *kw)
            {
                return pythonic::handle_python_exception([self, args, kw]()
                -> PyObject* {

if(PyObject* obj = __pythran_wrap_monge_ampere_step00(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step01(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step02(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step03(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step04(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step05(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step06(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step07(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step08(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step09(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step010(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step011(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step012(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step013(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step014(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step015(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step016(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step017(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step018(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step019(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step020(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step021(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step022(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step023(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step024(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step025(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step026(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step027(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step028(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step029(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step030(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step031(self, args, kw))
    return obj;
PyErr_Clear();

                PyErr_SetString(PyExc_TypeError,
                "Invalid argument type for pythranized function `monge_ampere_step0'.\n"
                "Candidates are:\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(ndarray<std.complex<double>,2>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<std.complex<double>,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step0(numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<std.complex<double>,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n"
                );
                return nullptr;
                });
            }


            static PyObject *
            __pythran_wrapall_monge_ampere_step1(PyObject *self, PyObject *args, PyObject *kw)
            {
                return pythonic::handle_python_exception([self, args, kw]()
                -> PyObject* {

if(PyObject* obj = __pythran_wrap_monge_ampere_step10(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step11(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step12(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step13(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step14(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step15(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step16(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step17(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step18(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step19(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step110(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step111(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step112(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step113(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step114(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step115(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step116(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step117(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step118(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step119(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step120(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step121(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step122(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step123(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step124(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step125(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step126(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step127(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step128(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step129(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step130(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step131(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step132(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step133(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step134(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step135(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step136(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step137(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step138(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step139(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step140(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step141(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step142(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step143(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step144(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step145(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step146(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step147(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step148(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step149(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step150(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step151(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step152(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step153(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step154(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step155(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step156(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step157(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step158(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step159(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step160(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step161(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step162(self, args, kw))
    return obj;
PyErr_Clear();


if(PyObject* obj = __pythran_wrap_monge_ampere_step163(self, args, kw))
    return obj;
PyErr_Clear();

                PyErr_SetString(PyExc_TypeError,
                "Invalid argument type for pythranized function `monge_ampere_step1'.\n"
                "Candidates are:\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>,numpy_texpr<ndarray<double,2>>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,ndarray<double,2>)\n   monge_ampere_step1(numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>,numpy_texpr<ndarray<double,2>>)\n"
                );
                return nullptr;
                });
            }


static PyMethodDef Methods[] = {
    {
    "monge_ampere_step0",
    (PyCFunction)__pythran_wrapall_monge_ampere_step0,
    METH_VARARGS | METH_KEYWORDS,
    "Supported prototypes:\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][], complex128[][].T, float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step0(complex128[][].T, complex128[][].T, float64[][].T, float64[][].T, float64[][].T)\n"},{
    "monge_ampere_step1",
    (PyCFunction)__pythran_wrapall_monge_ampere_step1,
    METH_VARARGS | METH_KEYWORDS,
    "Supported prototypes:\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][].T, float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][], float64[][].T)\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][])\n    - monge_ampere_step1(float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][].T, float64[][].T)\n"},
    {NULL, NULL, 0, NULL}
};


#if PY_MAJOR_VERSION >= 3
  static struct PyModuleDef moduledef = {
    PyModuleDef_HEAD_INIT,
    "util_plate2d_pythran",            /* m_name */
    "",         /* m_doc */
    -1,                  /* m_size */
    Methods,             /* m_methods */
    NULL,                /* m_reload */
    NULL,                /* m_traverse */
    NULL,                /* m_clear */
    NULL,                /* m_free */
  };
#define PYTHRAN_RETURN return theModule
#define PYTHRAN_MODULE_INIT(s) PyInit_##s
#else
#define PYTHRAN_RETURN return
#define PYTHRAN_MODULE_INIT(s) init##s
#endif
PyMODINIT_FUNC
PYTHRAN_MODULE_INIT(util_plate2d_pythran)(void)
__attribute__ ((visibility("default")))
__attribute__ ((externally_visible));
PyMODINIT_FUNC
PYTHRAN_MODULE_INIT(util_plate2d_pythran)(void) {
    #ifdef PYTHONIC_TYPES_NDARRAY_HPP
        import_array()
    #endif
    #if PY_MAJOR_VERSION >= 3
    PyObject* theModule = PyModule_Create(&moduledef);
    #else
    PyObject* theModule = Py_InitModule3("util_plate2d_pythran",
                                         Methods,
                                         ""
    );
    #endif
    if(not theModule)
        PYTHRAN_RETURN;
    PyObject * theDoc = Py_BuildValue("(sss)",
                                      "0.8.3",
                                      "2017-11-04 00:30:53.277703",
                                      "91022679bf066e376f617e0e37a24523736e9f7c9581f2a0098dae85f7d0a87a");
    if(not theDoc)
        PYTHRAN_RETURN;
    PyModule_AddObject(theModule,
                       "__pythran__",
                       theDoc);

    PYTHRAN_RETURN;
}

#endif